import { DxLoadIndicatorModule } from 'devextreme-angular/ui/load-indicator';
import { NgbTypeaheadModule, NgbDatepickerModule } from '@ng-bootstrap/ng-bootstrap';
import { DIALOG_CONTAINER, DIALOG_INPUT_COMPONENT, DIALOG_MESSAGE_COMPONENT } from 'narik-infrastructure';
import { NarikCommonModule, ComponentLoaderHostDirective } from 'narik-common';
import { NG_VALUE_ACCESSOR, FormsModule } from '@angular/forms';
import { UUID } from 'angular2-uuid';
import { NARIK_DATA_DISPLAY_VALUE_INPUTS, NARIK_DATA_DISPLAY_VALUE_OUTPUTS, NarikAutoComplete, NarikButton, BUTTON_DEFAULT_OPTIONS, NarikCheckBox, NARIK_CHECKBOX_INPUTS, NarikCheckBoxList, NarikDataTable, NARIK_DATE_PICKER_INPUTS, NarikDatePicker, NARIK_INPUT_INPUTS, NarikInput, NarikRadioGroup, NARIK_SELECT_INPUTS, NarikSelect, NarikDynamicForm, NarikTreeview, NarikToolBar } from 'narik-ui-core';
import { CommonModule, DOCUMENT } from '@angular/common';
import { __decorate, __metadata } from 'tslib';
import { Component, forwardRef, NgModule, Input, Renderer2, Injector, ChangeDetectorRef, Inject, ViewContainerRef, ViewChild } from '@angular/core';
import { NarikInject } from 'narik-core';
import { TranslateModule, TranslateService } from '@ngx-translate/core';
import { BusyIndicator, NarikListForm, NarikDetailForm } from 'narik-app-core';

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgbAutoComplete extends NarikAutoComplete {
}
NarikNgbAutoComplete.decorators = [
    { type: Component, args: [{
                selector: "narik-ngb-autocomplete  , narik-autocomplete ",
                template: "",
                inputs: [...NARIK_DATA_DISPLAY_VALUE_INPUTS],
                outputs: [...NARIK_DATA_DISPLAY_VALUE_OUTPUTS],
                providers: [
                    {
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef((/**
                         * @return {?}
                         */
                        () => NarikNgbAutoComplete)),
                        multi: true
                    }
                ],
                styles: [""]
            }] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgbAutoCompleteModule {
}
NarikNgbAutoCompleteModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule, FormsModule, NgbTypeaheadModule],
                declarations: [NarikNgbAutoComplete],
                exports: [NarikNgbAutoComplete],
                providers: []
            },] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgbBusyIndicator {
    /**
     * @param {?} newState
     * @param {?=} msg
     * @return {?}
     */
    setBusy(newState, msg) {
        this.isBusy = newState;
    }
}
NarikNgbBusyIndicator.decorators = [
    { type: Component, args: [{
                selector: "narik-ngb-busy-indicator , narik-busy-indicator",
                template: "\r\n",
                providers: [
                    {
                        provide: BusyIndicator,
                        useExisting: forwardRef((/**
                         * @return {?}
                         */
                        () => NarikNgbBusyIndicator))
                    }
                ],
                styles: [""]
            }] }
];
NarikNgbBusyIndicator.propDecorators = {
    isBusy: [{ type: Input }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgbBusyIndicatorModule {
}
NarikNgbBusyIndicatorModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule, TranslateModule],
                declarations: [NarikNgbBusyIndicator],
                exports: [NarikNgbBusyIndicator],
                providers: []
            },] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgbButtonComponent extends NarikButton {
    /**
     * @param {?} renderer
     * @param {?} injector
     */
    constructor(renderer, injector) {
        super(injector);
        this.renderer = renderer;
    }
    /**
     * @return {?}
     */
    ngOnInit() { }
    /**
     * @return {?}
     */
    ngAfterViewInit() { }
}
NarikNgbButtonComponent.decorators = [
    { type: Component, args: [{
                selector: "narik-ngb-buuton , narik-button ",
                template: "\r\n"
            }] }
];
/** @nocollapse */
NarikNgbButtonComponent.ctorParameters = () => [
    { type: Renderer2 },
    { type: Injector }
];
__decorate([
    NarikInject(BUTTON_DEFAULT_OPTIONS, {
        buttonStyle: "mat-raised-button",
        busyFontIcon: "fa-spinner"
    }),
    __metadata("design:type", Object)
], NarikNgbButtonComponent.prototype, "defaultOptions", void 0);

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgbButtonModule {
}
NarikNgbButtonModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule, DxLoadIndicatorModule],
                declarations: [NarikNgbButtonComponent],
                exports: [NarikNgbButtonComponent],
                providers: []
            },] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgbCheckBox extends NarikCheckBox {
    /**
     * @param {?} injector
     */
    constructor(injector) {
        super(injector);
    }
}
NarikNgbCheckBox.decorators = [
    { type: Component, args: [{
                selector: "narik-ngb-checkbox , narik-checkbox",
                template: "",
                inputs: [...NARIK_CHECKBOX_INPUTS],
                providers: [
                    {
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef((/**
                         * @return {?}
                         */
                        () => NarikNgbCheckBox)),
                        multi: true
                    },
                    {
                        provide: NarikCheckBox,
                        useExisting: forwardRef((/**
                         * @return {?}
                         */
                        () => NarikNgbCheckBox))
                    }
                ]
            }] }
];
/** @nocollapse */
NarikNgbCheckBox.ctorParameters = () => [
    { type: Injector }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgbCheckBoxModule {
}
NarikNgbCheckBoxModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule, FormsModule],
                declarations: [NarikNgbCheckBox],
                exports: [NarikNgbCheckBox],
                providers: []
            },] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgbCheckBoxList extends NarikCheckBoxList {
    /**
     * @param {?} injector
     */
    constructor(injector) {
        super(injector);
    }
}
NarikNgbCheckBoxList.decorators = [
    { type: Component, args: [{
                selector: "narik-ngb-checkbox-list , narik-checkbox-list",
                template: "\r\n",
                inputs: [...NARIK_DATA_DISPLAY_VALUE_INPUTS],
                providers: [
                    {
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef((/**
                         * @return {?}
                         */
                        () => NarikNgbCheckBoxList)),
                        multi: true
                    }
                ]
            }] }
];
/** @nocollapse */
NarikNgbCheckBoxList.ctorParameters = () => [
    { type: Injector }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgbCheckBoxListModule {
}
NarikNgbCheckBoxListModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    FormsModule,
                    NarikNgbCheckBoxModule
                ],
                declarations: [NarikNgbCheckBoxList],
                exports: [NarikNgbCheckBoxList],
                providers: []
            },] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgbDataTable extends NarikDataTable {
    /**
     * @param {?} injector
     * @param {?} changeDetector
     * @param {?} document
     */
    constructor(injector, changeDetector, document) {
        super(injector);
        this.changeDetector = changeDetector;
        this.document = document;
    }
}
NarikNgbDataTable.decorators = [
    { type: Component, args: [{
                selector: "narik-ngb-data-table , narik-data-table",
                template: ""
            }] }
];
/** @nocollapse */
NarikNgbDataTable.ctorParameters = () => [
    { type: Injector },
    { type: ChangeDetectorRef },
    { type: undefined, decorators: [{ type: Inject, args: [DOCUMENT,] }] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgbDataTableModule {
}
NarikNgbDataTableModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule, FormsModule, TranslateModule],
                declarations: [NarikNgbDataTable],
                exports: [NarikNgbDataTable],
                providers: []
            },] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgbDatePicker extends NarikDatePicker {
    /**
     * @param {?} injector
     */
    constructor(injector) {
        super(injector);
    }
}
NarikNgbDatePicker.decorators = [
    { type: Component, args: [{
                selector: "narik-ngb-date-picker , narik-date-picker",
                template: "\r\n",
                inputs: [...NARIK_DATE_PICKER_INPUTS],
                providers: [
                    {
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef((/**
                         * @return {?}
                         */
                        () => NarikNgbDatePicker)),
                        multi: true
                    }
                ]
            }] }
];
/** @nocollapse */
NarikNgbDatePicker.ctorParameters = () => [
    { type: Injector }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgbDatePickerModule {
}
NarikNgbDatePickerModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule, FormsModule, NgbDatepickerModule, TranslateModule],
                declarations: [NarikNgbDatePicker],
                exports: [NarikNgbDatePicker],
                providers: []
            },] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgbInput extends NarikInput {
    /**
     * @param {?} injector
     */
    constructor(injector) {
        super(injector);
    }
}
NarikNgbInput.decorators = [
    { type: Component, args: [{
                selector: "narik-ngb-input , narik-input",
                template: "",
                inputs: [...NARIK_INPUT_INPUTS],
                providers: [
                    {
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef((/**
                         * @return {?}
                         */
                        () => NarikNgbInput)),
                        multi: true
                    }
                ]
            }] }
];
/** @nocollapse */
NarikNgbInput.ctorParameters = () => [
    { type: Injector }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgbInputModule {
}
NarikNgbInputModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule, FormsModule],
                declarations: [NarikNgbInput],
                exports: [NarikNgbInput],
                providers: []
            },] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgbRadioGroup extends NarikRadioGroup {
    /**
     * @param {?} injector
     */
    constructor(injector) {
        super(injector);
    }
}
NarikNgbRadioGroup.decorators = [
    { type: Component, args: [{
                selector: "narik-ngb-radio-group , narik-radio-group",
                template: "",
                inputs: [...NARIK_DATA_DISPLAY_VALUE_INPUTS],
                providers: [
                    {
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef((/**
                         * @return {?}
                         */
                        () => NarikNgbRadioGroup)),
                        multi: true
                    }
                ]
            }] }
];
/** @nocollapse */
NarikNgbRadioGroup.ctorParameters = () => [
    { type: Injector }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgbRadioGroupModule {
}
NarikNgbRadioGroupModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule, FormsModule],
                declarations: [NarikNgbRadioGroup],
                exports: [NarikNgbRadioGroup],
                providers: []
            },] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgbSelect extends NarikSelect {
    /**
     * @param {?} injector
     */
    constructor(injector) {
        super(injector);
        this.optionData = [];
    }
    /**
     * @protected
     * @param {?} data
     * @return {?}
     */
    useData(data) {
        this.optionData = data;
    }
}
NarikNgbSelect.decorators = [
    { type: Component, args: [{
                selector: "narik-ngb-select , narik-select",
                template: "",
                inputs: [...NARIK_DATA_DISPLAY_VALUE_INPUTS, ...NARIK_SELECT_INPUTS],
                outputs: [...NARIK_DATA_DISPLAY_VALUE_OUTPUTS],
                providers: [
                    {
                        provide: NG_VALUE_ACCESSOR,
                        useExisting: forwardRef((/**
                         * @return {?}
                         */
                        () => NarikNgbSelect)),
                        multi: true
                    }
                ],
                styles: [".select-clear{position:absolute;left:-2px;top:-30px}.search-input{padding:16px;box-sizing:border-box}.search-continer{border-bottom:1px solid rgba(0,0,0,.12);top:0;width:100%;position:-webkit-sticky;position:sticky;background-color:#fff;z-index:10000}"]
            }] }
];
/** @nocollapse */
NarikNgbSelect.ctorParameters = () => [
    { type: Injector }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgbSelectModule {
}
NarikNgbSelectModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule, FormsModule],
                declarations: [NarikNgbSelect],
                exports: [NarikNgbSelect],
                providers: []
            },] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgbDynamicForm extends NarikDynamicForm {
    /**
     * @param {?} injector
     * @param {?} viewContainerRef
     */
    constructor(injector, viewContainerRef) {
        super(injector, viewContainerRef);
    }
}
NarikNgbDynamicForm.decorators = [
    { type: Component, args: [{
                selector: "narik-dynamic-form , narik-ngb-dynamic-form",
                template: "<div\r\n  class=\"dx-fieldset\"\r\n  [tab-guard]=\"activeTabGuard\"\r\n  [auto-focus]=\"activeAutoFocus\"\r\n  [autoFocusContainerName]=\"defaultFocusField\"\r\n>\r\n  <ng-container *ngFor=\"let item of fields\">\r\n\r\n  </ng-container>\r\n</div>\r\n",
                providers: [
                    {
                        provide: NarikDynamicForm,
                        useExisting: forwardRef((/**
                         * @return {?}
                         */
                        () => NarikNgbDynamicForm))
                    }
                ]
            }] }
];
/** @nocollapse */
NarikNgbDynamicForm.ctorParameters = () => [
    { type: Injector },
    { type: ViewContainerRef }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgbDynamicFormModule {
}
NarikNgbDynamicFormModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    FormsModule,
                    TranslateModule,
                    NarikNgbInputModule,
                    NarikNgbSelectModule,
                    NarikNgbCheckBoxModule,
                    NarikNgbRadioGroupModule,
                    NarikNgbAutoCompleteModule,
                    NarikNgbDatePickerModule,
                    NarikCommonModule
                ],
                declarations: [NarikNgbDynamicForm],
                exports: [NarikNgbDynamicForm],
                providers: []
            },] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgbDialogContainer {
    constructor() {
        this.actions = [];
    }
    /**
     * @return {?}
     */
    get contentContainerRef() {
        return this.loaderHost.viewContainerRef;
    }
    /**
     * @return {?}
     */
    ngOnInit() { }
}
NarikNgbDialogContainer.decorators = [
    { type: Component, args: [{
                template: "",
                styles: [".dialog-container{background-color:#fff;border-radius:5px;box-shadow:20px 20px 15px -7px rgba(0,0,0,.2),0 24px 38px 3px rgba(0,0,0,.14),0 9px 46px 8px rgba(0,0,0,.12)}"]
            }] }
];
/** @nocollapse */
NarikNgbDialogContainer.ctorParameters = () => [];
NarikNgbDialogContainer.propDecorators = {
    loaderHost: [{ type: ViewChild, args: [ComponentLoaderHostDirective,] }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgbInputDialog {
    constructor() {
        this.entity = {};
        this.fields = [];
    }
    /**
     * @return {?}
     */
    ngOnInit() { }
}
NarikNgbInputDialog.decorators = [
    { type: Component, args: [{
                template: "<div class=\"pr-2 pl-2\">\r\n  <narik-dynamic-form [model]=\"entity\" [fields]=\"fields\"></narik-dynamic-form>\r\n</div>\r\n"
            }] }
];
/** @nocollapse */
NarikNgbInputDialog.ctorParameters = () => [];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgbMessageDialog {
    constructor() { }
    /**
     * @return {?}
     */
    ngOnInit() { }
}
NarikNgbMessageDialog.decorators = [
    { type: Component, args: [{
                template: "<div class=\"card p-2\">{{message | translate}}</div>\r\n"
            }] }
];
/** @nocollapse */
NarikNgbMessageDialog.ctorParameters = () => [];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
const ɵ0 = NarikNgbDialogContainer, ɵ1 = NarikNgbMessageDialog, ɵ2 = NarikNgbInputDialog;
class NarikNgbDialogModule {
}
NarikNgbDialogModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    FormsModule,
                    TranslateModule,
                    NarikCommonModule,
                    NarikNgbButtonModule,
                    NarikNgbDynamicFormModule
                ],
                declarations: [
                    NarikNgbDialogContainer,
                    NarikNgbInputDialog,
                    NarikNgbMessageDialog
                ],
                exports: [
                    NarikNgbDialogContainer,
                    NarikNgbInputDialog,
                    NarikNgbMessageDialog
                ],
                providers: [
                    {
                        provide: DIALOG_CONTAINER,
                        useValue: ɵ0
                    },
                    {
                        provide: DIALOG_MESSAGE_COMPONENT,
                        useValue: ɵ1
                    },
                    {
                        provide: DIALOG_INPUT_COMPONENT,
                        useValue: ɵ2
                    }
                ],
                entryComponents: [
                    NarikNgbDialogContainer,
                    NarikNgbInputDialog,
                    NarikNgbMessageDialog
                ]
            },] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgbTreeview extends NarikTreeview {
    /**
     * @param {?} injector
     */
    constructor(injector) {
        super(injector);
    }
    /**
     * @param {?} value
     * @return {?}
     */
    set selectedItem(value) {
        this._selectedItem = value;
    }
    /**
     * @return {?}
     */
    get selectedItem() {
        return this._selectedItem;
    }
    /**
     * @param {?} selectedNode
     * @return {?}
     */
    addNode(selectedNode) {
        throw new Error("Method not implemented.");
    }
    /**
     * @param {?} selectedNode
     * @return {?}
     */
    deleteNode(selectedNode) {
        throw new Error("Method not implemented.");
    }
}
NarikNgbTreeview.decorators = [
    { type: Component, args: [{
                selector: "narik-ngb-treeview narik-treeview",
                template: ""
            }] }
];
/** @nocollapse */
NarikNgbTreeview.ctorParameters = () => [
    { type: Injector }
];
NarikNgbTreeview.propDecorators = {
    newNodeTitle: [{ type: Input }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgbToolBar extends NarikToolBar {
    /**
     * @param {?} injector
     * @param {?} viewContainerRef
     */
    constructor(injector, viewContainerRef) {
        super(injector, viewContainerRef);
        this.uniqueId = "";
        this.uniqueId = "toolbar" + UUID.UUID();
    }
}
NarikNgbToolBar.decorators = [
    { type: Component, args: [{
                selector: "narik-toolbar , narik-ngb-toolbar",
                template: "\r\n"
            }] }
];
/** @nocollapse */
NarikNgbToolBar.ctorParameters = () => [
    { type: Injector },
    { type: ViewContainerRef }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgbToolbarModule {
}
NarikNgbToolbarModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    FormsModule,
                    NarikNgbButtonModule,
                    TranslateModule
                ],
                declarations: [NarikNgbToolBar],
                exports: [NarikNgbToolBar],
                providers: []
            },] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgbTreeviewModule {
}
NarikNgbTreeviewModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    CommonModule,
                    FormsModule,
                    NarikNgbToolbarModule,
                    TranslateModule
                ],
                declarations: [NarikNgbTreeview],
                exports: [NarikNgbTreeview],
                providers: []
            },] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikNgbCoreModule {
}
NarikNgbCoreModule.decorators = [
    { type: NgModule, args: [{
                imports: [CommonModule],
                declarations: [],
                exports: [],
                providers: []
            },] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class NarikUiNgBootstrapModule {
}
NarikUiNgBootstrapModule.decorators = [
    { type: NgModule, args: [{
                imports: [
                    TranslateModule,
                    NarikNgbAutoCompleteModule,
                    NarikNgbBusyIndicatorModule,
                    NarikNgbButtonModule,
                    NarikNgbCheckBoxModule,
                    NarikNgbCheckBoxListModule,
                    NarikNgbDataTableModule,
                    NarikNgbDatePickerModule,
                    NarikNgbDialogModule,
                    NarikNgbDynamicFormModule,
                    NarikNgbInputModule,
                    NarikNgbRadioGroupModule,
                    NarikNgbSelectModule,
                    NarikNgbToolbarModule,
                    NarikNgbTreeviewModule,
                    NarikNgbCoreModule
                ],
                declarations: [],
                exports: [
                    TranslateModule,
                    NarikNgbAutoCompleteModule,
                    NarikNgbBusyIndicatorModule,
                    NarikNgbButtonModule,
                    NarikNgbCheckBoxModule,
                    NarikNgbCheckBoxListModule,
                    NarikNgbDataTableModule,
                    NarikNgbDatePickerModule,
                    NarikNgbDialogModule,
                    NarikNgbDynamicFormModule,
                    NarikNgbInputModule,
                    NarikNgbRadioGroupModule,
                    NarikNgbSelectModule,
                    NarikNgbToolbarModule,
                    NarikNgbTreeviewModule,
                    NarikNgbCoreModule
                ],
                providers: []
            },] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @template T
 */
class NarikUiListForm extends NarikListForm {
    /**
     * @param {?} injector
     */
    constructor(injector) {
        super(injector);
        this.ds = [];
        this.hasDataSource = false;
    }
    /**
     * @return {?}
     */
    get isServerSide() {
        return this.config && this.config.isServerSideData ? true : false;
    }
    /**
     * @return {?}
     */
    ngOnInit() {
        super.ngOnInit();
        if (this.fields) ;
        if (this.config) {
            if (this.isServerSide) ;
        }
    }
    /**
     * @return {?}
     */
    ngAfterViewInit() { }
    /**
     * @param {?} result
     * @return {?}
     */
    useData(result) {
        this.dataSource = (/** @type {?} */ (result.data));
    }
    /**
     * @protected
     * @param {?=} remoteDaraParams
     * @return {?}
     */
    refresh(remoteDaraParams) {
        if (!this.isServerSide) {
            this.getEntities();
        }
    }
}
NarikUiListForm.propDecorators = {
    grid: [{ type: ViewChild, args: [NarikNgbDataTable,] }]
};
__decorate([
    NarikInject(TranslateService),
    __metadata("design:type", TranslateService)
], NarikUiListForm.prototype, "translateService", void 0);

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @template T
 */
class NarikUiDetailForm extends NarikDetailForm {
    /**
     * @param {?} injector
     */
    constructor(injector) {
        super(injector);
    }
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

export { NarikUiNgBootstrapModule, NarikUiListForm, NarikUiDetailForm, NarikNgbAutoComplete, NarikNgbAutoCompleteModule, NarikNgbBusyIndicator, NarikNgbBusyIndicatorModule, NarikNgbButtonComponent, NarikNgbButtonModule, NarikNgbCheckBox, NarikNgbCheckBoxModule, NarikNgbCheckBoxList, NarikNgbCheckBoxListModule, NarikNgbInput, NarikNgbInputModule, NarikNgbRadioGroup, NarikNgbRadioGroupModule, NarikNgbDatePicker, NarikNgbDatePickerModule, NarikNgbSelect, NarikNgbSelectModule, NarikNgbToolBar, NarikNgbToolbarModule, NarikNgbDynamicFormModule, NarikNgbDynamicForm, NarikNgbTreeview, NarikNgbTreeviewModule, NarikNgbDialogContainer, NarikNgbDialogModule, NarikNgbInputDialog, NarikNgbMessageDialog, NarikNgbDataTable, NarikNgbDataTableModule, NarikNgbCoreModule };

//# sourceMappingURL=narik-ui-ng-bootstrap.js.map